## org.eclipse.datatools.connectivity.ui
Interface IConnectionProfileActionFilter

    public interface IConnectionProfileActionFilter

Constants used when evaluating connection profile state through IActionFilter or IPropertyTester TODO: remove duplicate entries.

Field Summary
`static java.lang.String` `CAN_WORK_OFFLINE`
`static java.lang.String` `CATEGORY_ID`
`static java.lang.String` `CONNECTION_STATE`
`static java.lang.String` `DB_VENDOR`
`static java.lang.String` `DB_VERSION`
`static java.lang.String` `EXTENSION_ID`
`static java.lang.String` `FACTORY_ID`
`static java.lang.String` `HAS_EXTENDED_PROPERTIES`
`static java.lang.String` `IS_CONNECTED`
`static java.lang.String` `MAINTAIN_CONNECTION`
`static java.lang.String` `PROFILE_PROPERTY_CAN_WORK_OFFLINE`
`static java.lang.String` `PROFILE_PROPERTY_CATEGORY_ID` Used to filter profiles within a specific category
`static java.lang.String` `PROFILE_PROPERTY_CONNECTION_STATE` Used to filter profiles with a specific connection state (DISCONNECTED, CONNECTED, WORKING_OFFLINE)
`static java.lang.String` `PROFILE_PROPERTY_DB_VENDOR`
`static java.lang.String` `PROFILE_PROPERTY_DB_VERSION`
`static java.lang.String` `PROFILE_PROPERTY_FACTORY_ID` Used to filter profiles with a specific connection factory
`static java.lang.String` `PROFILE_PROPERTY_HAS_EXTENDED_PROPERTIES` Used to filter profiles that have extended properties defined
`static java.lang.String` `PROFILE_PROPERTY_IS_CONNECTED` Used to filter profiles that are connected (or not)
`static java.lang.String` `PROFILE_PROPERTY_MAINTAIN_CONNECTION`
`static java.lang.String` `PROFILE_PROPERTY_PROFILE_TYPE_ID` Used to filter a specific type of profile
`static java.lang.String` `PROFILE_PROPERTY_PROPERTY_EXTENSION_ID` Used to filter profiles with a specific property extension
`static java.lang.String` `PROFILE_PROPERTY_REPOSITORY_IS_READ_ONLY`
`static java.lang.String` `PROFILE_PROPERTY_SUPPORTS_PING` Used to filter profiles with a ping connection factory
`static java.lang.String` `PROFILE_PROPERTY_VIEW_ID` Used to filter profiles displayed within a specific view
`static java.lang.String` `REPOSITORY_IS_READ_ONLY`
`static java.lang.String` `SUPPORTS_PING`
`static java.lang.String` `TYPE_ID`
`static java.lang.String` `VIEW_ID`

Field Detail

### PROFILE_PROPERTY_FACTORY_ID

    static final java.lang.String PROFILE_PROPERTY_FACTORY_ID

  Used to filter profiles with a specific connection factory

  See Also:
    Constant Field Values

### FACTORY_ID

    static final java.lang.String FACTORY_ID

See Also:
  Constant Field Values

### PROFILE_PROPERTY_IS_CONNECTED

    static final java.lang.String PROFILE_PROPERTY_IS_CONNECTED

  Used to filter profiles that are connected (or not)

  See Also:
    Constant Field Values

### IS_CONNECTED

    static final java.lang.String IS_CONNECTED

See Also:
  Constant Field Values

### PROFILE_PROPERTY_MAINTAIN_CONNECTION

    static final java.lang.String PROFILE_PROPERTY_MAINTAIN_CONNECTION

See Also:
  Constant Field Values

### MAINTAIN_CONNECTION

    static final java.lang.String MAINTAIN_CONNECTION

See Also:
  Constant Field Values

### PROFILE_PROPERTY_SUPPORTS_PING

    static final java.lang.String PROFILE_PROPERTY_SUPPORTS_PING

  Used to filter profiles with a ping connection factory

  See Also:
    Constant Field Values

### SUPPORTS_PING

    static final java.lang.String SUPPORTS_PING

See Also:
  Constant Field Values

### PROFILE_PROPERTY_HAS_EXTENDED_PROPERTIES

    static final java.lang.String PROFILE_PROPERTY_HAS_EXTENDED_PROPERTIES

  Used to filter profiles that have extended properties defined

  See Also:
    Constant Field Values

### HAS_EXTENDED_PROPERTIES

    static final java.lang.String HAS_EXTENDED_PROPERTIES

See Also:
  Constant Field Values

### PROFILE_PROPERTY_PROFILE_TYPE_ID

    static final java.lang.String PROFILE_PROPERTY_PROFILE_TYPE_ID

  Used to filter a specific type of profile

  See Also:
    Constant Field Values

### TYPE_ID

    static final java.lang.String TYPE_ID

See Also:
  Constant Field Values

### PROFILE_PROPERTY_PROPERTY_EXTENSION_ID

    static final java.lang.String PROFILE_PROPERTY_PROPERTY_EXTENSION_ID

  Used to filter profiles with a specific property extension

  See Also:
    Constant Field Values

### EXTENSION_ID

    static final java.lang.String EXTENSION_ID

See Also:
  Constant Field Values

### PROFILE_PROPERTY_CATEGORY_ID

    static final java.lang.String PROFILE_PROPERTY_CATEGORY_ID

  Used to filter profiles within a specific category

  See Also:
    Constant Field Values

### CATEGORY_ID

    static final java.lang.String CATEGORY_ID

See Also:
  Constant Field Values

### PROFILE_PROPERTY_VIEW_ID

    static final java.lang.String PROFILE_PROPERTY_VIEW_ID

  Used to filter profiles displayed within a specific view

  See Also:
    Constant Field Values

### VIEW_ID

    static final java.lang.String VIEW_ID

See Also:
  Constant Field Values

### PROFILE_PROPERTY_CONNECTION_STATE

    static final java.lang.String PROFILE_PROPERTY_CONNECTION_STATE

  Used to filter profiles with a specific connection state (DISCONNECTED, CONNECTED, WORKING_OFFLINE)

  See Also:
    Constant Field Values

### CONNECTION_STATE

    static final java.lang.String CONNECTION_STATE

See Also:
  Constant Field Values

### PROFILE_PROPERTY_DB_VENDOR

    static final java.lang.String PROFILE_PROPERTY_DB_VENDOR

See Also:
  Constant Field Values

### DB_VENDOR

    static final java.lang.String DB_VENDOR

See Also:
  Constant Field Values

### PROFILE_PROPERTY_DB_VERSION

    static final java.lang.String PROFILE_PROPERTY_DB_VERSION

See Also:
  Constant Field Values

### DB_VERSION

    static final java.lang.String DB_VERSION

See Also:
  Constant Field Values

### PROFILE_PROPERTY_REPOSITORY_IS_READ_ONLY

    static final java.lang.String PROFILE_PROPERTY_REPOSITORY_IS_READ_ONLY

See Also:
  Constant Field Values

### REPOSITORY_IS_READ_ONLY

    static final java.lang.String REPOSITORY_IS_READ_ONLY

See Also:
  Constant Field Values

### PROFILE_PROPERTY_CAN_WORK_OFFLINE

    static final java.lang.String PROFILE_PROPERTY_CAN_WORK_OFFLINE

See Also:
  Constant Field Values

### CAN_WORK_OFFLINE

    static final java.lang.String CAN_WORK_OFFLINE

See Also:
  Constant Field Values

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.